package org.springblade.community.grid.feign;

import org.springblade.community.grid.entity.Grid;
import org.springblade.community.grid.vo.GridVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class GridClientFallback implements IGridClient {
            /**
         * 详情
         */
        @Override
        public GridVO detail(Grid grid) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<GridVO> list(Grid grid) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Grid grid) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Grid grid) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Grid grid) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
